Vulnerability CVE-2019-10214


Published: 2019-11-25   Modified: 2019-11-30

Description:
The containers/image library used by the container tools Podman, Buildah, and Skopeo in Red Hat Enterprise Linux version 8 and CRI-O in OpenShift Container Platform, does not enforce TLS connections to the container registry authorization service. An attacker could use this vulnerability to launch a MiTM attack and steal login credentials or bearer tokens.

Type:

CWE-522

(Insufficiently Protected Credentials)

CVSS2 => (AV:N/AC:M/Au:N/C:P/I:N/A:N)

CVSS Base Score
Impact Subscore
Exploitability Subscore
4.3/10
2.9/10
8.6/10
Exploit range
Attack complexity
Authentication
Remote
Medium
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
None
None
Affected software
Skopeo project -> Skopeo 
Redhat -> Openshift container platform 
Redhat -> Enterprise linux 
Libpod project -> Libpod 
Buildah project -> Buildah 

 References:
https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2019-10214

Copyright 2022, cxsecurity.com

 

Back to Top